aboutsummaryrefslogtreecommitdiff
path: root/scripts
diff options
context:
space:
mode:
authorThomas White <taw@bitwiz.org.uk>2010-10-31 15:52:49 +0100
committerThomas White <taw@physics.org>2012-02-22 15:27:04 +0100
commit858f11978d44192a0d3d2ed8d2f5c469542e867d (patch)
treebb62319edb3dd8a4f99969c4eae4b142dfba95bb /scripts
parent1d6530071f9fe66c63cbd9e680f84fe7a6da9824 (diff)
Update scripts/wibbletron
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/wibbletron8
1 files changed, 5 insertions, 3 deletions
diff --git a/scripts/wibbletron b/scripts/wibbletron
index 035b4a2c..79ba00e9 100755
--- a/scripts/wibbletron
+++ b/scripts/wibbletron
@@ -5,10 +5,12 @@ for FILENAME in `cat $1`; do
echo $FILENAME | indexamajig --indexing=dirax \
--near-bragg \
--filter-noise \
- > indexed.lst
+ > out.stream
+
+ if [ $? -ne 0 ]; then exit 0; fi
+
+ if [ `stat -c '%s' out.stream` -gt 300 ]; then
- if [ -s indexed.lst ]; then
- #hdfsee simulated.h5 &
~/crystfel/src/hdfsee $FILENAME --binning=1 \
--int-boost=8 --filter-noise \
--peak-overlay=indexed.lst